Subject: Re: gtk2-x11: Functions whose name started with '_'
From: "Gerrit P. Haase" <[email-masked]>
To: Yaakov Selkowitz <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Aug 2004 08:20:55 +0200

Hallo Yaakov,

Am Montag, 23. August 2004 um 01:56 schriebst du:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1

> Gerrit P. Haase wrote:

> | You may also apply the libtool.m4 patch I recently posted and
> | reconfigure.

> Could you give me a message ID on that, because I think I missed it.

Date: Wed, 18 Aug 2004 10:11:58 +0200
From: "Gerrit P. Haase" <...>
Reply-To: "Gerrit P. Haase" <...>
Organization: Esse keine toten Tiere
Message-ID: <131152908901.20040818101158@*deleted*>
Subject: cygwin libtool and 'R' tagged symbols in objects

> | There may be symbols exported which are also exported by other
> | libraries (e.g. getopt).

> I didn't mean using --export-all-symbols, just to NOT use
> - --export-symbols-regex.

> In any case, you wanted a good argument; how about a trade:  gtk2 with
> private symbols exported for a new port of gtk+-1.2?

Not too bad.  Ported including building the libs with libtool?

However, I have GIMP running here.  So if they can build gimp without
using private symbols, why isn't it possible for others to do so?
Which applications are affected?  I want to try to build them without
using the private symbols.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/